%global momorel 6
%global contentdir /var/www
%global rbname eruby

Summary: Embbable Ruby
Name: ruby-%{rbname}
Version: 1.0.5
Release: %{momorel}m%{?dist}
Group:  Applications/Text
License: GPL
URL: http://www.modruby.net/
Source0: http://www.modruby.net/archive/%{rbname}-%{version}.tar.gz 
NoSource: 0
Patch0: %{rbname}-%{version}-gsub.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.6-4m

Requires: httpd
Provides: eruby
Obsoletes: eruby

%description
eRuby interprets Ruby codes embedded in text files, such as HTML docs.

%package devel
Summary: Development tools for ruby-eruby applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
ruby-eruby development package

%prep
%setup -q -n %{rbname}-%{version}

%patch0 -p1 -b .build-fix

%build
./configure.rb --mandir=%{_mandir} --with-charset=EUC-JP
make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%makeinstall site-install
mkdir -p %{buildroot}%{contentdir}/cgi-bin
install -m 755 eruby %{buildroot}%{contentdir}/cgi-bin/eruby.cgi

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog GPL LGPL README.en README.ja examples
%{_bindir}/eruby
%{ruby_archdir}/eruby.so
%{_mandir}/man1/eruby.1*
%{contentdir}/cgi-bin/eruby.cgi

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/liberuby.a

%changelog
* Sat Jul  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.5-6m)
- fix build

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.5-4m)
- %%NoSource -> NoSource

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.5-3m)
- rebuild against ruby-1.8.6-4m

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-2m)
- rebuild against ruby-1.8.2

* Wed Dec 24 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-1m)

* Fri Aug 29 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.4-1m)

* Tue Aug 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-4m)
- add eruby-cvs.patch for ruby-1.8

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.0.3-3m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (1.0.3-2m)
- rebuild against ruby-1.8.0.

* Fri Feb 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-1m)

* Sat Feb  8 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.2-2m)
- against httpd 

* Sun Jan 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.2-1m)

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.1-1m)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.9.8-4k)
- /sbin/ldconfig iraso...

* Thu Apr 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.8-2k)

* Thu Oct 18 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.9.7-2k)
- remove eruby-0.9.6-main.c.patch

* Wed Oct  3 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.9.6-4k)
- add a patch to fix SEGV problem

* Fri Aug 10 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.9.6-2k)
- up to 0.9.6

* Thu Jun 13 2001 KUSUNOKI Masanori <nori@kondara.org>
- (0.9.4-2k)
- up to 0.9.4

* Wed Jun 6 2001 KUSUNOKI Masanori <nori@kondara.org>
- (0.9.3-2k)
- --with-charset=EUC-JP added

* Sun Apr 8 2001 SAKUMA Junichi <fk5j-skm@asahi-net.or.jp>
- (0.1.3-3k)
- version 0.1.3
- moved eruby.cgi back to /home/httpd/cgi-bin/ from /var/www/cgi-bin/

* Mon Mar  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.1.12-9k)
- enable shared and devel package (http://www.spc.gr.jp/sho/norika/200103.html#02)

* Mon Dec 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.1.12-7k)
- fixed for apache-1.3.14 about /home/httpd (FHS?)

* Thu Oct 19 2000 Toru Hoshina <toru@df-usa.com>
- it should be suitable to both ruby 1.4.x and 1.6.x.

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.
- eruby 0.1.2

* Sun Jun 11 2000 Takaaki Tabuchi <tab@kondara.org>
- 0.0.8-1.
- update version 0.0.8.
- obsolute eruby-strip-logo.patch, because now included tar ball.
- obsolute eruby_logo.png, because now included tar ball.
- change BuildRoot.

* Sun Jun 11 2000 Takaaki Tabuchi <tab@kondara.org>
- 0.0.7-4.
- delete BuildArch: noarch.

* Sat May 06 2000 Takaaki Tabuchi <tab@kondara.org>
- 0.0.7-3
- Do strip.
- obsolute gif image.

* Wed Apr 19 2000 Toru Hoshina <t@kondara.org>
- No architecture dependency.

* Sat Apr  8 2000 OZAWA -Crouton- Sakuro <crouton@duelists.org>
- First release for Kondara.
